<template>
  <div>
    <h1 class="mb-8">Do you have a history of heart disease?</h1>
    <div class="space-y-3">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
  </div>
</template>

<script>
import {answersMixin, radioMixin, referMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, radioMixin, referMixin],
  name: "YourHealth13",
  data() {
    return {
      choices: [
        'Yes',
        'No'
      ],
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_13')
      }
    }
  },
  methods: {
    handleClick() {
      if (this.radioSelected === 'Yes') {
        this.setRefer('We’ve hit a minor road bump.', 'It looks like a personalized prescription solution is not the best fit for your needs.\n\nThe ingredients in these formulas may not be suitable for individuals with heart issues.\n\nHowever, you may benefit from a different formula:')
      } else {
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
